de.vc.io.rtf.parser

## Class ParserState

- java.lang.Object
- - de.vc.io.rtf.parser.ScannerState
  - - de.vc.io.rtf.parser.ParserState

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ParserState
      extends ScannerState

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TokenHandler` | `handler`
    `boolean` | `nextControlOpt`
    `RTFProperties` | `props`

    - ### Fields inherited from class de.vc.io.rtf.parser.ScannerState

      `level, parentState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserState(TokenHandler handler)`
    `ParserState(TokenHandler handler, RTFProperties initialProperties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScannerState` | `childState()`
    `ParserState` | `getParentParserState()`
    `RTFProperties` | `getParentProperties()`
    `protected void` | `leave()` Is called when this state is leaved and switched to parent state.
    `void` | `setStateLeavedListener(StateLeavedListener l, int code)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### handler

          public TokenHandler handler

    - #### props

          public RTFProperties props

    - #### nextControlOpt

          public boolean nextControlOpt

  - ### Constructor Detail

    - #### ParserState

          public ParserState(TokenHandler handler)

    - #### ParserState

          public ParserState(TokenHandler handler,
                     RTFProperties initialProperties)

  - ### Method Detail

    - #### childState

          public ScannerState childState()

      Overrides:
        `childState` in class `ScannerState`

    - #### getParentParserState

          public ParserState getParentParserState()

    - #### getParentProperties

          public RTFProperties getParentProperties()

    - #### leave

          protected void leave()

      Description copied from class: `ScannerState`
      Is called when this state is leaved and switched to parent state.
      Overrides:
        `leave` in class `ScannerState`

    - #### setStateLeavedListener

          public void setStateLeavedListener(StateLeavedListener l,
                                    int code)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.